using UnityEngine;
using System.Collections;

public class perso : MonoBehaviour 
{
	int pdvPerso = 100;

	void Start () 
	{
	
	}
	

	void Update () 
	{// JE VERIFIE SI LES PERSOS ONT ENCORE DES PDV
		if (pdvPerso<=0)
		{
			destructionPerso();
		}
	}
	//SI LA COLLISION EST FAITE AVE SERGE J ENLEVE 100PDV
	void OnCollisionEnter (Collision collision)
	{
		if ( collision.gameObject.tag == "serge")
		{
			pdvPerso-=100;
		}
	}// JE DETRUIS L OBJET
	void destructionPerso()
	{
		Destroy(gameObject);
	}
}
